Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.handlers
Class AbstractMuleNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          org.mule.config.spring.handlers.AbstractMuleNamespaceHandler

All Implemented Interfaces:
  org.springframework.beans.factory.xml.NamespaceHandler

Direct Known Subclasses:
  AbstractPojoNamespaceHandler, AjaxNamespaceHandler, AxisNamespaceHandler, BpmNamespaceHandler, CxfNamespaceHandler, EjbNamespaceHandler, EmailNamespaceHandler, FileNamespaceHandler, FtpNamespaceHandler, HttpNamespaceHandler, HttpsNamespaceHandler, IBeansNamespaceHandler, ImapNamespaceHandler, ImapsNamespaceHandler, JdbcNamespaceHandler, JerseyNamespaceHandler, JettyNamespaceHandler, JettySslNamespaceHandler, JmsNamespaceHandler, JnpNamespaceHandler, ManagementNamespaceHandler, MuleNamespaceHandler, MulticastNamespaceHandler, Pop3NamespaceHandler, Pop3sNamespaceHandler, QuartzNamespaceHandler, RmiNamespaceHandler, ScriptingNamespaceHandler, ServletNamespaceHandler, SmtpNamespaceHandler, SmtpsNamespaceHandler, SslNamespaceHandler, StdioNamespaceHandler, SxcNamespaceHandler, TcpNamespaceHandler, TestNamespaceHandler, TlsNamespaceHandler, UdpNamespaceHandler, VmNamespaceHandler, WSNamespaceHandler, XmlNamespaceHandler, XmppNamespaceHandler

    public abstract class AbstractMuleNamespaceHandler

extends org.springframework.beans.factory.xml.NamespaceHandlerSupport

This Namespace handler extends the default Spring `NamespaceHandlerSupport` to allow certain elements in document to be ignored by the handler.

Field Summary
`static String` | `GLOBAL_ENDPOINT`
`static String` | `INBOUND_ENDPOINT`
`protected Log` | `logger`
`static String` | `OUTBOUND_ENDPOINT`

Constructor Summary
`AbstractMuleNamespaceHandler()`

Method Summary
`protected Class` | `getGlobalEndpointBuilderBeanClass()`
`protected Class` | `getInboundEndpointFactoryBeanClass()`
`protected Class` | `getOutboundEndpointFactoryBeanClass()`
`protected MuleDefinitionParserConfiguration` | `registerConnectorDefinitionParser(Class connectorClass)`
`protected MuleDefinitionParserConfiguration` | `registerConnectorDefinitionParser(MuleDefinitionParser parser)`
`protected void` | `registerDeprecatedBeanDefinitionParser(String elementName, org.springframework.beans.factory.xml.BeanDefinitionParser parser, String deprecationWarning)` Subclasses can call this to register the supplied `BeanDefinitionParser` to handle the specified element.
`protected void` | `registerIgnoredElement(String name)`
`protected MuleDefinitionParserConfiguration` | `registerMetaTransportEndpoints(String protocol)`
`protected MuleDefinitionParserConfiguration` | `registerMuleBeanDefinitionParser(String name, MuleDefinitionParser parser)`
`protected MuleDefinitionParserConfiguration` | `registerStandardTransportEndpoints(String protocol, String[] requiredAttributes)`

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.beans.factory.xml.NamespaceHandler
`init`

Field Detail

### GLOBAL_ENDPOINT

    public static final String GLOBAL_ENDPOINT

See Also:
  Constant Field Values

### INBOUND_ENDPOINT

    public static final String INBOUND_ENDPOINT

See Also:
  Constant Field Values

### OUTBOUND_ENDPOINT

    public static final String OUTBOUND_ENDPOINT

See Also:
  Constant Field Values

### logger

    protected final transient Log logger

Constructor Detail

### AbstractMuleNamespaceHandler

    public AbstractMuleNamespaceHandler()

Method Detail

### registerIgnoredElement

    protected final void registerIgnoredElement(String name)

  Parameters:
    `name` - The name of the element to be ignored.

### registerConnectorDefinitionParser

    protected MuleDefinitionParserConfiguration registerConnectorDefinitionParser(Class connectorClass)

### registerConnectorDefinitionParser

    protected MuleDefinitionParserConfiguration registerConnectorDefinitionParser(MuleDefinitionParser parser)

### registerMuleBeanDefinitionParser

    protected MuleDefinitionParserConfiguration registerMuleBeanDefinitionParser(String name,
                                                                                 MuleDefinitionParser parser)

### registerStandardTransportEndpoints

    protected MuleDefinitionParserConfiguration registerStandardTransportEndpoints(String protocol,
                                                                                   String[] requiredAttributes)

### registerMetaTransportEndpoints

    protected MuleDefinitionParserConfiguration registerMetaTransportEndpoints(String protocol)

### getInboundEndpointFactoryBeanClass

    protected Class getInboundEndpointFactoryBeanClass()

### getOutboundEndpointFactoryBeanClass

    protected Class getOutboundEndpointFactoryBeanClass()

### getGlobalEndpointBuilderBeanClass

    protected Class getGlobalEndpointBuilderBeanClass()

### registerDeprecatedBeanDefinitionParser

    protected void registerDeprecatedBeanDefinitionParser(String elementName,
                                                          org.springframework.beans.factory.xml.BeanDefinitionParser parser,
                                                          String deprecationWarning)

  Subclasses can call this to register the supplied `BeanDefinitionParser` to handle the specified element. The element name is the local (non-namespace qualified) name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.